using Microsoft.EntityFrameworkCore.Migrations;

#nullable disable

namespace BMA.EHR.Recurit.Exam.Service.Migrations
{
    /// <inheritdoc />
    public partial class updatetablecandidateaddpointpersent : Migration
    {
        /// <inheritdoc />
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<string>(
                name: "PointA",
                table: "Candidates",
                type: "longtext",
                nullable: true,
                comment: "คะแนนภาค ก")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "PointPath1A",
                table: "Candidates",
                type: "longtext",
                nullable: true,
                comment: "คะแนนภาค ก ความสามารถในการคิดวิเคราะห์")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "PointPath1C",
                table: "Candidates",
                type: "longtext",
                nullable: true,
                comment: "คะแนนภาค คทดสอบสมรรถนะหลัก")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "PointPath2A",
                table: "Candidates",
                type: "longtext",
                nullable: true,
                comment: "คะแนนภาค ก ภาษาอังกฤษ")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "PointPath2C",
                table: "Candidates",
                type: "longtext",
                nullable: true,
                comment: "คะแนนภาค ค สัมภาษณ์")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "PointPath3A",
                table: "Candidates",
                type: "longtext",
                nullable: true,
                comment: "คะแนนภาค ก ความรู้และลักษณะการเป็นข้าราชการที่ดี")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "PointPerA",
                table: "Candidates",
                type: "longtext",
                nullable: true,
                comment: "คะแนนภาค ก เปอร์เซนต์")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "PointPerB",
                table: "Candidates",
                type: "longtext",
                nullable: true,
                comment: "คะแนนภาค ข เปอร์เซนต์")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "PointPerC",
                table: "Candidates",
                type: "longtext",
                nullable: true,
                comment: "คะแนนภาค ค เปอร์เซนต์")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "PointTotalA",
                table: "Candidates",
                type: "longtext",
                nullable: true,
                comment: "คะแนนเต็มภาค ก")
                .Annotation("MySql:CharSet", "utf8mb4");

            migrationBuilder.AddColumn<string>(
                name: "ResultA",
                table: "Candidates",
                type: "longtext",
                nullable: true,
                comment: "ผลสอบภาค ก")
                .Annotation("MySql:CharSet", "utf8mb4");
        }

        /// <inheritdoc />
        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "PointA",
                table: "Candidates");

            migrationBuilder.DropColumn(
                name: "PointPath1A",
                table: "Candidates");

            migrationBuilder.DropColumn(
                name: "PointPath1C",
                table: "Candidates");

            migrationBuilder.DropColumn(
                name: "PointPath2A",
                table: "Candidates");

            migrationBuilder.DropColumn(
                name: "PointPath2C",
                table: "Candidates");

            migrationBuilder.DropColumn(
                name: "PointPath3A",
                table: "Candidates");

            migrationBuilder.DropColumn(
                name: "PointPerA",
                table: "Candidates");

            migrationBuilder.DropColumn(
                name: "PointPerB",
                table: "Candidates");

            migrationBuilder.DropColumn(
                name: "PointPerC",
                table: "Candidates");

            migrationBuilder.DropColumn(
                name: "PointTotalA",
                table: "Candidates");

            migrationBuilder.DropColumn(
                name: "ResultA",
                table: "Candidates");
        }
    }
}
